@import "options/break-points";

#slider{
    &::before{
        background: -moz-linear-gradient(left,  rgba(0,0,0,0.3) 0%, rgba(0,0,0,0) 100%);
        background: -webkit-linear-gradient(left,  rgba(0,0,0,0.3) 0%,rgba(0,0,0,0) 100%);
        background: linear-gradient(to right,  rgba(0,0,0,0.3) 0%,rgba(0,0,0,0) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#4d000000', endColorstr='#00000000',GradientType=1 );
    }
    .text{
        h2{
            font-size: 59px;
            color: map-get($colors, white);
            text-shadow: 1px 1px black;
            line-height: 66px;
        }
        p{
            font-size: 23px;
            color: map-get($colors, white);
            a{
                color: map-get($colors, white);
            }
        }
        @include mb('slider-text-2') {
            h2{
                font-size: 40px;
                line-height: 50px;
            }
            p{
                font-size: 18px;
            }
        }
    }
    .sliderNav{
        background-color: map-get($colors, lightBlack);
        overflow: hidden;
        a{
            text-decoration: none;
            color: map-get($colors, black);
            font-weight: bold;
            font-size: 14px;
            text-align: center;
            background-color: map-get($colors, lightBlack);
            transition: all .4s;
            i{
                font-size: 30px;
            }
            &.active{
                background-color: map-get($colors, blue);
                color: white;
            }
            &:hover{
                background-color: map-get($colors, blue);
                color: white;
            }
        }
        &:hover{
            a{
                background-color: map-get($colors, lightBlack);
                color: map-get($colors, black);
                &::before{
                    background-color: none;
                }
            }
            a:hover{
                color: white;
                background-color: map-get($colors, blue);
            }
        }
    }
}
